/**
 * 工程管理页面 API
 */
import request from '@/utils/request'

/** 新增工程 */
export const addProjectApi = (data) => {
    return request.post('/base/project/add', data)
}
/** 删除工程 */
export const deleteProjectApi = (id) => {
    return request.delete(`/base/project/${id}`, )
}
/** 修改工程 */
export const editProjectApi = (data) => {
    return request.put('/base/project/update', data)
}
/** 工程列表查询 */
export const queryProjectListApi = (data) => {
    return request.get('/base/project/getProjectList', {
      params: data
    })
}
/** 工程列表查询-下拉选 */
export const queryProjectSelApi = (data) => {
  return request.get('/base/project/getProjectSelect', {
    params: data
  })
}
/** 工程类型查询-下拉选 */
export const queryProjectTypeApi = (data) => {
  return request.get('/base/tree/getProjectType', {
    params: data
  })
}
/** 工程状态查询-下拉选 */
export const queryProjectStatusApi = (data) => {
  return request.get('/base/tree/getProjectStatus', {
    params: data
  })
}
/** 工程性质查询-下拉选 */
export const queryProjectNatureApi = (data) => {
  return request.get('/base/tree/getProjectNature', {
    params: data
  })
}
